Name:           solarspeed-curl
Version:        8.14.1
Release:        1%{?dist}
Packager:       Michael Stauber <mstauber@solarspeed.net>
URL:            https://github.com/curl/curl
License:        GPL
Group:          System
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      x86_64
Distribution:   BlueOnyx 5210R/5211R/5212R
Source0:        curl-%{version}.tar.gz
Summary:        Command line tool and library for transferring data with URLs
BuildRequires:  chrpath

%description
Command line tool and library for transferring data with URLs

%prep
%setup -q -n curl-%{version}

%build
echo "Working on $RPM_BUILD_ROOT"

# Apply custom configuration options:
./configure --prefix=/home/solarspeed/curl --disable-static --enable-hidden-symbols --enable-ipv6 --enable-manual --enable-threaded-resolver --with-ca-bundle=/etc/pki/tls/certs/ca-bundle.crt --with-libidn --with-libssh2 --with-ssl --with-nss
make

%install
export QA_RPATHS=0x002
rm -rf %{buildroot}
mkdir -p %{buildroot}/home/solarspeed/curl
make install DESTDIR=%{buildroot}

# Remove RPATH from installed binaries
find %{buildroot}/home/solarspeed/curl/bin -type f -exec chrpath --delete {} + 2>/dev/null || true
find %{buildroot}/home/solarspeed/curl/lib -type f -name '*.so*' -exec chrpath --delete {} + 2>/dev/null || true

%pre

%post

%preun

%postun

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/home/solarspeed/curl/bin/*
/home/solarspeed/curl/include/*
/home/solarspeed/curl/lib/*
/home/solarspeed/curl/share/*

%changelog

* Fri Jun 20 2025 Michael Stauber <mstauber@solarspeed.net>
- [8.14.1-1:] Updated build

* Fri Oct 20 2023 Michael Stauber <mstauber@solarspeed.net>
- [8.4.0-1:] Updated build

* Wed Aug 24 2022 Michael Stauber <mstauber@solarspeed.net>
- [7.84.0-1:] Updated build

* Sat May 04 2019 Michael Stauber <mstauber@solarspeed.net>
- [7.65.0-1:] Initial build
